VERSION 2.00
Begin Form Form1 
   Caption         =   "WinECJ"
   ClientHeight    =   1455
   ClientLeft      =   2010
   ClientTop       =   5490
   ClientWidth     =   6180
   Height          =   2145
   Left            =   1950
   LinkTopic       =   "Form1"
   Picture         =   WECJ.FRX:0000
   ScaleHeight     =   97
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   412
   Top             =   4860
   Width           =   6300
   Begin PictureBox CMDialog1 
      BackColor       =   &H000000FF&
      Height          =   1000
      Left            =   0
      ScaleHeight     =   975
      ScaleWidth      =   975
      TabIndex        =   0
      Top             =   0
      Width           =   1000
   End
   Begin Menu mnuFile 
      Caption         =   "&File"
      Begin Menu mnuFileOpen 
         Caption         =   "&Open..."
      End
      Begin Menu mnuFileRedraw 
         Caption         =   "&Redraw"
      End
      Begin Menu mnuBar 
         Caption         =   "-"
      End
      Begin Menu mnuFileExit 
         Caption         =   "E&xit"
      End
   End
   Begin Menu mnuDisplay 
      Caption         =   "&Display"
      Begin Menu mnuDisplayGray 
         Caption         =   "&Gray only"
      End
      Begin Menu mnuDisplayTrue 
         Caption         =   "&True color"
      End
      Begin Menu mnuDisplay2Pass 
         Caption         =   "&2 pass"
      End
      Begin Menu mnuDisplay2PassDither 
         Caption         =   "2 pass &dithered"
      End
      Begin Menu mnuBar1 
         Caption         =   "-"
      End
      Begin Menu mnuDisplayHalf 
         Caption         =   "&Half size"
      End
      Begin Menu mnuDisplayFull 
         Caption         =   "&Full size"
      End
      Begin Menu mnuDisplayAuto 
         Caption         =   "&Auto"
      End
      Begin Menu mnuBar2 
         Caption         =   "-"
      End
      Begin Menu mnuDisplayStretch 
         Caption         =   "&Stretch"
      End
   End
End
Sub Form_Load ()
    maxX = Int(Screen.Width / Screen.TwipsPerPixelX) - 32
    maxY = Int(Screen.Height / Screen.TwipsPerPixelY) - 32
    ExtraX = 2 * GetSystemMetrics(SM_CXFRAME)
    ExtraY = GetSystemMetrics(SM_CYMENU) + GetSystemMetrics(SM_CYCAPTION) + 2 * GetSystemMetrics(SM_CYFRAME)
    dum% = SetStretchBltMode(hDC, STRETCH_DELETESCANS)
End Sub

Sub Form_Paint ()
    If (mnuDisplayStretch.Checked = True) Then
        dum% = Paint_DIBStretch(hDC, hDib)
    Else
        dum% = Paint_DIB(hDC, hDib)
    End If
End Sub

Sub mnuDisplay2Pass_Click ()
    If mnuDisplay2Pass.Checked = True Then
        mnuDisplay2Pass.Checked = False
    Else
        mnuDisplayGray.Checked = False
        mnuDisplayTrue.Checked = False
        mnuDisplay2Pass.Checked = True
        mnuDisplay2PassDither.Checked = False
    End If

End Sub

Sub mnuDisplay2PassDither_Click ()
    If mnuDisplay2PassDither.Checked = True Then
        mnuDisplay2PassDither.Checked = False
    Else
        mnuDisplayGray.Checked = False
        mnuDisplayTrue.Checked = False
        mnuDisplay2Pass.Checked = False
        mnuDisplay2PassDither.Checked = True
    End If
End Sub

Sub mnuDisplayAuto_Click ()
    mnuDisplayHalf.Checked = False
    mnuDisplayFull.Checked = False
    mnuDisplayAuto.Checked = True
End Sub

Sub mnuDisplayFull_Click ()
    mnuDisplayHalf.Checked = False
    mnuDisplayFull.Checked = True
    mnuDisplayAuto.Checked = False
End Sub

Sub mnuDisplayGray_Click ()
    If mnuDisplayGray.Checked = True Then
        mnuDisplayGray.Checked = False
    Else
        mnuDisplayGray.Checked = True
        mnuDisplayTrue.Checked = False
        mnuDisplay2Pass.Checked = False
        mnuDisplay2PassDither.Checked = False
    End If
End Sub

Sub mnuDisplayHalf_Click ()
    mnuDisplayHalf.Checked = True
    mnuDisplayFull.Checked = False
    mnuDisplayAuto.Checked = False
End Sub

Sub mnuDisplayStretch_Click ()
    If mnuDisplayStretch.Checked = True Then
        mnuDisplayStretch.Checked = False
    Else
        mnuDisplayStretch.Checked = True
    End If
End Sub

Sub mnuDisplayTrue_Click ()
    If mnuDisplayTrue.Checked = True Then
        mnuDisplayTrue.Checked = False
    Else
        mnuDisplayGray.Checked = False
        mnuDisplayTrue.Checked = True
        mnuDisplay2Pass.Checked = False
        mnuDisplay2PassDither.Checked = False
    End If
End Sub

Sub mnuFileExit_Click ()
    End
End Sub

Sub mnuFileOpen_Click ()
    On Error Resume Next
    CMDialog1.CancelError = -1
    CMDialog1.DialogTitle = "Open File"
    CMDialog1.Filter = "JPEG (*.jpg) | *.jpg"
    CMDialog1.Flags = OFN_HIDEREADONLY
    CMDialog1.Action = 1
    If Err = 0 Then
        Filename = CMDialog1.Filename
        attributes = 0
        If mnuDisplayGray.Checked = True Then
            attributes = attributes + ECJ_GRAY_ONLY
        End If
        If mnuDisplayAuto.Checked = True Then
            attributes = attributes + ECJ_AUTO_HALF
        End If
        If mnuDisplayHalf.Checked = True Then
            attributes = attributes + ECJ_HALF_SIZE
        End If
        If mnuDisplay2Pass.Checked = True Then
            attributes = attributes + ECJ_2_PASS
        End If
        If mnuDisplay2PassDither.Checked = True Then
            attributes = attributes + ECJ_DITHER + ECJ_2_PASS
        End If
        If mnuDisplayTrue.Checked = True Then
            attributes = attributes + ECJ_24_BITS
        End If
        hDib = ECJ_Decode(CMDialog1.Filename, attributes, 0&, 0&)
        ScaleForm hDib
    End If
End Sub

Sub mnuFileRedraw_Click ()
        attributes = 0
        If mnuDisplayGray.Checked = True Then
            attributes = attributes + ECJ_GRAY_ONLY
        End If
        If mnuDisplayAuto.Checked = True Then
            attributes = attributes + ECJ_AUTO_HALF
        End If
        If mnuDisplayHalf.Checked = True Then
            attributes = attributes + ECJ_HALF_SIZE
        End If
        If mnuDisplay2Pass.Checked = True Then
            attributes = attributes + ECJ_2_PASS
        End If
        If mnuDisplay2PassDither.Checked = True Then
            attributes = attributes + ECJ_DITHER + ECJ_2_PASS
        End If
        If mnuDisplayTrue.Checked = True Then
            attributes = attributes + ECJ_24_BITS
        End If
        hDib = ECJ_Decode(Filename, attributes, 0&, 0&)
        ScaleForm hDib
        Form_Paint
End Sub

